# Uses of Interface
org.eclipse.ui.commands.ICommandService

Packages that use ICommandService
Package
Description
org.eclipse.ui.keys
Provides support for integrating keys into the Eclipse workbench.

## Uses of ICommandService in org.eclipse.ui.keys

Methods in org.eclipse.ui.keys with parameters of type ICommandService
Modifier and Type
Method
Description
`void`
IBindingService.`readRegistryAndPreferences(ICommandService commandService)`
Reads the binding information from the registry and the preferences.